CVE-2020-13131

NameCVE-2020-13131
DescriptionAn issue was discovered in Yubico libykpiv before 2.1.0. lib/util.c in this library (which is included in yubico-piv-tool) does not properly check embedded length fields during device communication. A malicious PIV token can misreport the returned length fields during RSA key generation. This will cause stack memory to be copied into heap allocated memory that gets returned to the caller. The leaked memory could include PINs, passwords, key material, and other sensitive information depending on the integration. During further processing by the caller, this information could leak across trust boundaries. Note that RSA key generation is triggered by the host and cannot directly be triggered by the token.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitylow
Debian Bugs972644

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
yubico-piv-tool (PTS)stretch1.4.2-2+deb9u2fixed
bullseye, sid2.0.0-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
yubico-piv-toolsourcestretch(not affected)
yubico-piv-toolsource(unstable)(unfixed)972644

Notes

[stretch] - yubico-piv-tool <not-affected> (Vulnerable code not present)
https://blog.inhq.net/posts/yubico-libykpiv-vuln/

Search for package or bug name: Reporting problems